%define	major 1
%define	libname %mklibname xdiff %{major}
%define develname %mklibname xdiff -d
	
# Matches 1.0 tag.
%global commit 9c6289c5a088bf24f18f0b7bf8acaaf643aa411d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		libxdiff
Version:	1.0
Release:	%mkrel 2
Summary:	Create diffs/patches for text/binary files
License:	LGPLv2.1+
Group:		System/Libraries
URL:		https://github.com/spotrh/libxdiff
Source0:	https://github.com/spotrh/libxdiff/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0:		%{name}-1.0-big-endian.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

%description
The LibXDiff library implements basic and yet complete functionalities
to create file differences/patches to both binary and text files. It
uses memory files as file abstraction to achieve both performance and
portability. For binary files, it implements (with some modification)
the algorithm described in "File System Support for Delta Compression"
by Joshua P. MacDonald. For text files, it follows directives described
in "An O(ND) Difference Algorithm and Its Variations" by Eugene W.
Myers. Memory files used by the library are basically a collection of
buffers that store the file content.


%package -n	%{libname}
Summary:	Shared libxdiff library
Group:		System/Libraries

%description -n	%{libname}
The LibXDiff library implements basic and yet complete functionalities
to create file differences/patches to both binary and text files. It
uses memory files as file abstraction to achieve both performance and
portability. For binary files, it implements (with some modification)
the algorithm described in "File System Support for Delta Compression"
by Joshua P. MacDonald. For text files, it follows directives described
in "An O(ND) Difference Algorithm and Its Variations" by Eugene W.
Myers. Memory files used by the library are basically a collection of
buffers that store the file content


%package -n	%{develname}
Summary:	Header files for libxdiff library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The LibXDiff library implements basic and yet complete functionalities to
create file differences/patches to both binary and text files. It uses memory
files as file abstraction to achieve both performance and portability. For
binary files, it implements (with some modification) the algorithm described in
"File System Support for Delta Compression" by Joshua P. MacDonald. For text
files, it follows directives described in "An O(ND) Difference Algorithm and
Its Variations" by Eugene W. Myers. Memory files used by the library are
basically a collection of buffers that store the file content.

Header files for libxdiff library.


%prep
%setup -q -n %{name}-%{commit}
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install
#don't ship static libraries
rm -f %{buildroot}%{_libdir}/*.*a

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/xdiff
%{_libdir}/*.so
%{_libdir}/pkgconfig/libxdiff.pc



%changelog
* Wed Mar 16 2022 umeabot <umeabot> 1.0-2.mga9
+ Revision: 1794629
- Mageia 9 Mass Rebuild

* Sun Jun 20 2021 joequant <joequant> 1.0-1.mga9
+ Revision: 1731431
- update to 1.0

* Thu Feb 13 2020 umeabot <umeabot> 0.23-9.mga8
+ Revision: 1514621
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.23-8.mga7
+ Revision: 1299241
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.23-7.mga6
+ Revision: 939943
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.23-6.mga5
+ Revision: 750600
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.23-5.mga5
+ Revision: 681873
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.23-4.mga5
+ Revision: 507464
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.23-3.mga3
+ Revision: 358542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 0.23-2.mga3
+ Revision: 339857
- Fix build with new libtool

* Wed Jan 11 2012 kamil <kamil> 0.23-1.mga2
+ Revision: 194862
- rediff patch am-fixes
- fix license
- remove unrecognized "--disable-rpath" option from configure
- remove static libraries
- clean spec
+ tv <tv>
- new release

* Mon Feb 07 2011 spuhler <spuhler> 0.22-5.mga1
+ Revision: 48418
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libxdiff


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.22-5mdv2011.0
+ Revision: 620239
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.22-4mdv2010.0
+ Revision: 429849
- rebuild

* Mon Jul 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.22-3mdv2009.0
+ Revision: 232376
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.22-2mdv2008.1
+ Revision: 136571
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-2mdv2008.0
+ Revision: 79447
- fix deps

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdv2008.0
+ Revision: 79366
- Import libxdiff



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdv2008.0
- initial Mandriva package (opensuse import)
